.round-corner-box {
  border-radius: 10px;
  width: 167px;
  height: 107px;
  display: flex;
  align-items: center;
  justify-content: center;

  &.active {
    background-color: #a18bd6;
  }

  &.inactive {
    background-color: #fafafa;
  }
}

a {
  text-decoration: none;

  &:hover {
    text-decoration: none !important;
  }
}

.summary-title-selected {
  color: white;
  font-size: 12px;
  text-align: center;
}

.summary-title-deselected {
  color: #979797;
  font-size: 12px;
  text-align: center;
}

@media screen and (max-width: 1199px) {
  .round-corner-box {
    margin-top: 10px;
    margin-bottom: 10px;
  }

  .round-corner-box {
    -webkit-box-flex: 0;
    flex: 0 0 25%;
    max-width: 25%;
  }

  .summary-title-selected {
    color: white;
    font-size: 15px;
  }

  .summary-title-deselected {
    color: #979797;
    font-size: 15px;
  }
}

.summary-number-selected {
  color: white;
  font-size: 48px;
  text-align: center;
}

.summary-number-deselected {
  color: #979797;
  font-size: 48px;
  text-align: center;
}

.dollar {
  padding: 0;
  margin: 0;
}

.centered {
  text-align: center;
}

.appt-class-action-container {
  margin-top: 20px;

  .appt-alertbtn,
  .add-planned-service-btn {
    height: 52px;
    font-size: 14px;
  }

  .appt-alertbtn {
    width: 157px;
  }

  .add-planned-service-btn {
    width: 175px;
  }

  .btn-tab {
    height: 32px;
    background: #F5F5F5;
    border: 1px solid #394085;
    border-radius: 4px;
    box-sizing: border-box;
    font-size: 14px;
    cursor: pointer;

    &.btn-tab-active {
      background: #394085;
      color: #ffffff;
    }
  }

  .booking-appt-class-btn {
    width: 270px;
  }

  .planned-service-btn {
    width: 169px;
  }

}

.sdlr_popup.dx-popup-normal {
  background: #FAFAFA !important;
  border-radius: 10px !important;
  border: 1px solid #DBDBDB !important;
}

.sdlr_popup .dx-popup-arrow::after {
  background: #FAFAFA !important;
}

.sdlr_popup .dx-popup-content {
  padding: 0 !important;
}

.prctioner-filter-button:hover, .prctioner-filter-button.selected {
  background: rgba(177, 149, 219, 0.2);
  color: rgba(57, 64, 133, 1);
}

.prctioner-filter-button {
  background: none;
  border: none;
  height: 37px;
  width: 100%;
  border-bottom: 1px solid #dbdbdb;
  font-size: 14px;
  font-weight: 500;
}

.prctioner-filter-button:last-child {
  border: none;
}


/* GRID DATA */
.appt-class-status {
  width: 87px;
  height: 28px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 4px;
  font-size: 12px;

  &.pending {
    background: #FFEF5F;
    color: #645B07;
  }

  &.deleted {
    background: #E7E7E7;
    color: #5E5E5E;
  }

  &.completed {
    background: #71FF86;
    color: #1D730B;
  }

  &.missed {
    background: #FF6666;
    color: #730909;
  }

  &.cancelled {
    background: #FFAE6C;
    color: #834819;
  }
}

.item-setting-btn {
  &:disabled {
    mat-icon {
      color: #DADADA !important;
      pointer-events: none;
    }
  }
}
